package com.qmth.sop.business.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * 设备品牌表 模型.
 * 
 * @author: shudonghui
 * @date: 2023-08-25 10:29:06
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
@ApiModel(value = "sys_device_brand对象", description = "设备品牌表")
public class SysDeviceBrand extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;
  	@ApiModelProperty(value = "品牌")
	@NotBlank(message = "品牌不能为空")
  	private String brand;

	/**
	 * 品牌
	 */	
  	public void setBrand(String brand) {
		this.brand = brand;
  	}
 	/**
	 * 品牌
	 */	 	
  	public String getBrand() {
		return brand;
  	}

	@ApiModelProperty(value = "型号列表")
	@TableField(exist = false)
	List<SysDeviceModel> list=new ArrayList<>();

	public List<SysDeviceModel> getList() {
		return list;
	}

	public void setList(List<SysDeviceModel> list) {
		this.list = list;
	}
}